%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define tarver  0.2.1
%define tarname TracWikiNotification-%{tarver}

Summary: Wiki notification plugin for Trac
Name: trac-wikinotification-plugin
Version: %{tarver}
Release: 1%{?dist}
Group: Applications/Internet
License: BSD
URL: http://wikinotification.ufsoft.org/
# Source comes from svn right now:
#  svn co http://wikinotification.ufsoft.org/svn/trunk
#  cd trunk; python setup.py sdist
#  mv dist/* ../
Source0: %{tarname}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python-setuptools
Requires: trac >= 0.10

# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

BuildArch: noarch
BuildRequires: python-devel

%description
This Trac plugin provides support for Wiki notifications.


%prep
%setup -q -n %{tarname}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README.txt
%{python_sitelib}/*


%changelog
* Mon Dec 14 2009 Matthias Saou <http://freshrpms.net/> 0.2.1-1
- Initial RPM release.

